PHP 8.1.0 with some issues

This is the right place to report general bugs, make suggestions or ask for help.
stippi
Posts: 6
Joined: Wed Dec 15, 2021 1:18 pm

Re: PHP 8.1.0 with some issues

Post by stippi » Thu Dec 30, 2021 5:22 pm

Hallo Laborix,
jetzt hab doch noch mal zwei Fehler gefunden:
Warning: Trying to access array offset on value of type null in [...]/fp-includes/core/core.wp-pluggable-funcs.php on line 66
Warning: Undefined array key 1 in [...]/fp-includes/core/core.fpdb.class.php on line 935

Das erscheint unterhalb der Blogeinträge, wenn man sich diese vollständig anzeigen lässt ([more] / [Weiterlesen...]). Aber nur beim letzten Blogeintrag, also dem aktuellsten. Ich vermute, dass es bei allen anderen Beiträgen einen Vorgänger und einen Nachfolger gibt und die Navigation vor und zurück hier funktioniert, aber beim letzten Blogeintrag gibt es keinen Nachfolger und das scheint ein Problem zu sein.
Außerdem stimmt mit der Datumsangabe auch noch was nicht. Am Ende jedes Blogeintrages steht: "Posted by stippi at in Blog" und IMHO müsste doch nach at ein Datum kommen, oder?
Ich benutze übrigens jetzt das "Leggero"-Theme (V2-Style), das spielt bei den oben beschriebenen Fehlern aber wohl keine Rolle weil es bei dem alternativ angebotenen Standard-Theme genau gleich ist.
Vielleicht trägt diese Info bei künftige Versionen von FP unter Verwendung von PHP 8 zu verbessern. Für mich persönlich ist das jetzt ein "minor issue".
Guten Rutsch Euch allen
stippi

User avatar
Arvid
FlatPress Coder
Posts: 283
Joined: Sat Jan 26, 2019 7:40 pm
Contact:

Re: PHP 8.1.0 with some issues

Post by Arvid » Sun Jan 23, 2022 2:15 pm

Hi you two and everyone else
(keeping it in English so the others can participate),

i've been working on this. First, thanks stippi for sending me the files.

I've started one step earlier, with Smarty. We currently use it in version 2.6 which is way outdated an most likely not be fixed to be PHP 8.1 compatible. So I switched to the current 4.0 version (which is actively being developed to run under 8.1). This is quite a task, the Smarty API has changed, and apparently its template parser has become much less forgiving (we have so many includes in our tpl files that are not quoted correctly, causing errors in Smarty 4... :roll: ).
My current status: Work in progress! I still get errors, but the main structure of FP is being displayed. Check it out in the branch: https://github.com/flatpressblog/flatpr ... artyupdate
Issue: https://github.com/flatpressblog/flatpress/issues/94

If we have updated to Smarty 4 successfully in general, it should be easy to update it to the next minor version that works with PHP 8.1. Then we can finally tackle the strftime problem in the FP code.

All the best,
Arvid

Post Reply

Who is online

Users browsing this forum: Majestic-12 [Bot] and 0 guests